import smbus
import time
from time import sleep

print "\nPCA9632 PWM Test\n"

# Get I2C bus
bus = smbus.SMBus(1)

# PCA9632 0x60 config 
bus.write_byte_data(0x60, 0x00, 0x00)
bus.write_byte_data(0x60, 0x01, 0x14)
bus.write_byte_data(0x60, 0x02, 0x00)
bus.write_byte_data(0x60, 0x03, 0x00)
bus.write_byte_data(0x60, 0x04, 0x00)
bus.write_byte_data(0x60, 0x05, 0x00)
bus.write_byte_data(0x60, 0x06, 0xFF)
bus.write_byte_data(0x60, 0x07, 0x00)
bus.write_byte_data(0x60, 0x08, 0xAA)
bus.write_byte_data(0x60, 0x09, 0xE2)
bus.write_byte_data(0x60, 0x0A, 0xE4)
bus.write_byte_data(0x60, 0x0B, 0xE8)
bus.write_byte_data(0x60, 0x0C, 0xE0)
time.sleep(0.1)
x=5;

# PCA9632 PWM
print " PWM Out 1 set 25%"
bus.write_byte_data(0x60, 0x02, 0x3F)
print " PWM Out 2 set 50%"
bus.write_byte_data(0x60, 0x03, 0x7F)
print " PWM Out 3 set 75 - LED 25%"
bus.write_byte_data(0x60, 0x04, 0xBD)
print " PWM Out 4 set 100% - LED 0%"
bus.write_byte_data(0x60, 0x05, 0xFF)
time.sleep(x)

print " PWM Global"
bus.write_byte_data(0x60, 0x08, 0xFF)
bus.write_byte_data(0x60, 0x06, 0x3F)
time.sleep(x)
bus.write_byte_data(0x60, 0x06, 0xBD)
time.sleep(x)

print " BLINK Global"
bus.write_byte_data(0x60, 0x08, 0xFF)
bus.write_byte_data(0x60, 0x01, 0x34)
bus.write_byte_data(0x60, 0x07, 0x0F)
time.sleep(x)

print " All 0% - LED ON"
bus.write_byte_data(0x60, 0x01, 0x14)
bus.write_byte_data(0x60, 0x08, 0xAA)
bus.write_byte_data(0x60, 0x02, 0x00)
bus.write_byte_data(0x60, 0x03, 0x00)
bus.write_byte_data(0x60, 0x04, 0x00)
bus.write_byte_data(0x60, 0x05, 0x00)
time.sleep(x)

print " LED OFF"
bus.write_byte_data(0x60, 0x04, 0xFF)
bus.write_byte_data(0x60, 0x05, 0xFF)
bus.close()

print "\nQuit\n"

