import smbus
import time
from time import sleep

print "\nMCP4326 ADC Test\n"

# Get I2C bus
bus = smbus.SMBus(1)

# MCP3426 0x68 CH1 
bus.write_byte(0x68, 0x10)
time.sleep(0.1)

# MCP3426 0x68 Read 0x00 3 bytes 
data = bus.read_i2c_block_data(0x68, 0x00, 3)
adch = data[0] 
print "ADCH 1 : %d" %adch
adcl = data[1]
print "ADCL 1 : %d" %adcl
adc = (data[0] & 0x0F) * 256 + data[1]
print "Analog Input 1: %d" %adc

# MCP3426 0x68 CH2
bus.write_byte(0x68, 0x30)
time.sleep(0.1)

# MCP3426 0x68 Read 0x00 3 bytes
data = bus.read_i2c_block_data(0x68, 0x00, 3)
adch = data[0]
print "ADCH 2 : %d" %adch
adcl = data[1]
print "ADCL 2 : %d" %adcl
adc = (data[0] & 0x0F) * 256 + data[1]
print "Analog Input 2: %d" %adc
bus.close()
print"\nQuit\n"
